package com.zeus.core.demo;

import android.app.Dialog;
import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.zeus.cdkey.api.OnUseCdKeyListener;
import com.zeus.core.api.ZeusPlatform;

/**
 * Created by ben on 2018/10/10.
 */

public class CdKeyDialog extends Dialog {
    private final EditText mCdKey;

    public CdKeyDialog(Context context) {
        super(context, R.style.cdkey_dialog_style);
        setContentView(R.layout.dialog_cdkey);

        mCdKey = (EditText) findViewById(R.id.et_cdkey);
        Button sure = (Button) findViewById(R.id.btn_sure);
        sure.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // 获取输入的兑换码
                String cdKey = mCdKey.getText().toString();
                if (!TextUtils.isEmpty(cdKey)) {
                    // 调用兑换码接口
                    ZeusPlatform.getInstance().useCdKey(cdKey, "透传参数", new OnUseCdKeyListener() {
                        @Override
                        public void onSuccess(String productId) {
                            //兑换成功，根据商品id发放商品
                            Toast.makeText(getContext(), "兑换成功：" + productId, Toast.LENGTH_SHORT).show();
                        }

                        @Override
                        public void onFailed(int code, String msg) {
                            Toast.makeText(getContext(), "兑换失败：" + msg, Toast.LENGTH_SHORT).show();
                        }
                    });
                }
                if (isShowing()) {
                    dismiss();
                }
            }
        });
        Button cancel = (Button) findViewById(R.id.btn_cancel);
        cancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (isShowing()) {
                    dismiss();
                }
            }
        });
    }
}
