package com.zeus.core.demo;

import android.app.Activity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;

import com.zeus.analytics.api.ZeusAnalytics;
import com.zeus.analytics.api.entity.PropsInfo;

import java.util.ArrayList;
import java.util.List;

public class ZeusAnalyticsActivity extends Activity {
    private EditText mLevelId;
    private EditText mUserLv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_analytics);

        initView();
    }

    private void initView() {
        mLevelId = findViewById(R.id.et_levelId);
        mUserLv = findViewById(R.id.et_user_lv);
    }

    public void onUnlockLevel(View v) {
        String levelId = mLevelId.getText().toString();
        if (!TextUtils.isEmpty(levelId)) {
            ZeusAnalytics.getInstance().onUnlockLevel(levelId);
        }
    }

    public void onLevelStart(View v) {
        String levelId = mLevelId.getText().toString();
        if (!TextUtils.isEmpty(levelId)) {
            ZeusAnalytics.getInstance().onLevelStart(levelId, "test");
        }
    }

    public void onLevelGiveUp(View v) {
        String levelId = mLevelId.getText().toString();
        if (!TextUtils.isEmpty(levelId)) {
            ZeusAnalytics.getInstance().onLevelGiveUp(levelId);
        }
    }

    public void onLevelFailed(View v) {
        String levelId = mLevelId.getText().toString();
        if (!TextUtils.isEmpty(levelId)) {
            ZeusAnalytics.getInstance().onLevelFailed(levelId);
        }
    }

    public void onLevelFinish(View v) {
        String levelId = mLevelId.getText().toString();
        if (!TextUtils.isEmpty(levelId)) {
            ZeusAnalytics.getInstance().onLevelFinish(levelId);
        }
    }

    public void onUserLv(View v) {
        String level = mUserLv.getText().toString();
        if (!TextUtils.isEmpty(level)) {
            ZeusAnalytics.getInstance().onUserLv(Integer.parseInt(level));
        }
    }

    public void getProps1(View v) {
        //第一部分新手引导获得
        List<PropsInfo> propsInfoList = new ArrayList<>();

        PropsInfo coin = new PropsInfo();
        coin.setPropsId("coin");//金币
        coin.setPropsNum(100);//获得100金币
        coin.setBeforeNum(0);//获得前的数量
        coin.setAfterNum(100);
        propsInfoList.add(coin);

        PropsInfo diamond = new PropsInfo();
        diamond.setPropsId("diamond");//钻石
        diamond.setPropsNum(10);//获得10钻石
        diamond.setBeforeNum(10);//获得前的数量
        diamond.setAfterNum(20);//获得后的数量
        propsInfoList.add(diamond);

        ZeusAnalytics.getInstance().propsGet("guide", "guide_reward", propsInfoList);
    }

    public void getProps2(View v) {
        //第一天签到获得统计
        List<PropsInfo> propsInfoList = new ArrayList<>();

        PropsInfo coin = new PropsInfo();
        coin.setPropsId("coin");//金币
        coin.setPropsNum(200);//获得200金币
        coin.setBeforeNum(0);//获得前的数量
        coin.setAfterNum(200);//获得后的数量
        propsInfoList.add(coin);

        ZeusAnalytics.getInstance().propsGet("home", "sign", propsInfoList);
    }

    public void consumeProps1(View v) {
        //第10关消耗钻石和金币
        List<PropsInfo> propsInfoList = new ArrayList<>();

        PropsInfo diamond = new PropsInfo();
        diamond.setPropsId("diamond");//钻石
        diamond.setPropsNum(2);//消耗2钻石
        diamond.setBeforeNum(10);//消耗前的数量
        diamond.setAfterNum(8);//消耗后的数量
        propsInfoList.add(diamond);

        PropsInfo coin = new PropsInfo();
        coin.setPropsId("coin");//金币
        coin.setPropsNum(100);//消耗100金币
        coin.setBeforeNum(100);//消耗前的数量
        coin.setAfterNum(0);//消耗后的数量
        propsInfoList.add(coin);

        ZeusAnalytics.getInstance().propsConsume("level", "level_10", propsInfoList);
    }

    public void consumeProps2(View v) {
        //关卡第10关消耗体力
        List<PropsInfo> propsInfoList = new ArrayList<>();

        PropsInfo hp = new PropsInfo();
        hp.setPropsId("HP");//体力
        hp.setPropsNum(5);//消耗5体力
        hp.setBeforeNum(100);
        hp.setAfterNum(95);
        propsInfoList.add(hp);

        ZeusAnalytics.getInstance().propsConsume("level", "level_10", propsInfoList);
    }

    public void customEvent(View v) {
        ZeusAnalytics.getInstance().customEvent("62pq8h");
    }
}
